Subject: Re: [MIB-DOCTORS] DEFINITIONS and MODULE-IDENTITY

From: Randy Presuhn <[email-masked]>
Date: Tue, 10 Dec 2013 11:23:54 -0800 (GMT-08:00)

Hi -

>From: Benoit Claise <[email-masked]>
>Sent: Dec 10, 2013 3:08 AM
>To: "MIB Doctors (E-mail)" <[email-masked]>
>Cc: eman mailing list <[email-masked]>, "Mouli Chandramouli (moulchan)" <[email-masked]>
>Subject: [MIB-DOCTORS] DEFINITIONS and MODULE-IDENTITY
>
>MIB doctors,
>
>One question regarding DEFINITIONS and MODULE-IDENTITY
>
>Looking at 
>https://datatracker.ietf.org/doc/draft-ietf-eman-energy-aware-mib/, I see
>
>        ENERGY-OBJECT-CONTEXT-MIB  DEFINITIONS ::= BEGIN
>          
>         IMPORTS
>             MODULE-IDENTITY,
>             OBJECT-TYPE,
>             mib-2,
>             Integer32
>                 FROM SNMPv2-SMI
>             TEXTUAL-CONVENTION, MacAddress, TruthValue
>                 FROM SNMPv2-TC
>             MODULE-COMPLIANCE,
>             OBJECT-GROUP
>                 FROM SNMPv2-CONF
>             SnmpAdminString
>                 FROM SNMP-FRAMEWORK-MIB
>             InetAddressType, InetAddress
>                FROM INET-ADDRESS-MIB
>             entPhysicalIndex
>                FROM ENTITY-MIB
>             UUIDorZero
>                FROM UUID-TC-MIB
>             IANAEnergyRelationship
>                FROM IANA-ENERGY-RELATION-MIB;
>          
>         energyAwareMIBMODULE-IDENTITY
>             LAST-UPDATED    "201311290000Z"
>
>I guess that ENERGY-OBJECT-CONTEXT-MIB and energyAwareMIB, being 
>different, would be flagged as a problem by the MIB doctors, correct?
>
>The closest piece of information is from RFC 4181:
>
>    - The descriptor associated with the MODULE-IDENTITY invocation
>      should be of the form xxxMIB, xxxMib, or xxxMibModule, where xxx is
>      a mixed-case version of XXX starting with a lowercase letter and
>      without any hyphens.  For example, the OPT-IF-MIB uses the prefix
>      optIf, and the descriptor associated with its MODULE-IDENTITY
>      invocation is optIfMibModule.

Abiding by the RFC 4181 *recommendation*, one would expect
ENERGY-AWARE-MIB -> energyAwareMib (or variant)
or
ENERGY-OBJECT-CONTEXT-MIB -> energyObjectContextMib (or variant)

The normative language is only a "should", but that implies
that they should have a really good reason for disregarding
the recommendation.  I can't think of a plausible good reason,
but they might be able to.

Randy